Apache JMeter

## org.apache.jmeter.report.gui.action
Class AbstractAction

    java.lang.Object
      org.apache.jmeter.report.gui.action.AbstractAction

All Implemented Interfaces:
  Command

Direct Known Subclasses:
  ReportCheckDirty, ReportCopy, ReportCut, ReportDragNDrop, ReportPaste, ReportStart

    public abstract class AbstractAction

extends Object
implements Command

Parent class for implementing Menu item commands

Constructor Summary
`AbstractAction()`

Method Summary
`void` `doAction(ActionEvent e)`
`abstract Set<String>` `getActionNames()`
`protected void` `popupShouldSave(ActionEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractAction

    public AbstractAction()

Method Detail

### doAction

    public void doAction(ActionEvent e)

  Specified by:
    `doAction` in interface `Command`
  See Also:
    `Command.doAction(ActionEvent)`

### getActionNames

    public abstract Set<String> getActionNames()

  Specified by:
    `getActionNames` in interface `Command`
  See Also:
    `Command.getActionNames()`

### popupShouldSave

    protected void popupShouldSave(ActionEvent e)

  Parameters:
    `e` -

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.